Index: testsuites/samples/paranoia/init.c
===================================================================
--- testsuites/samples/paranoia/init.c	(revision ba2e1e6c258bf867c67dac9ec562943a92ba2aae)
+++ testsuites/samples/paranoia/init.c	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -1,42 +1,33 @@
-/* SPDX-License-Identifier: BSD-2-Clause */
-
-/*
- *  COPYRIGHT (c) 1989-2012.
+/*  Init
+ *
+ *  This routine is the initialization task for this test program.
+ *  It is called from init_exec and has the responsibility for creating
+ *  and starting the tasks that make up the test.  If the time of day
+ *  clock is required for the test, it should also be set to a known
+ *  value by this function.
+ *
+ *  Input parameters:  NONE
+ *
+ *  Output parameters:  NONE
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
  *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
  *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in the
- *    documentation and/or other materials provided with the distribution.
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
  *
- * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
- * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
- * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
- * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
- * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
- * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
- * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
- * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
- * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
- * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
- * POSSIBILITY OF SUCH DAMAGE.
+ *  $Id$
  */
 
-#ifdef HAVE_CONFIG_H
-#include "config.h"
-#endif
-
-#define CONFIGURE_INIT
 #include "system.h"
-#include <stdio.h>
-#include <tmacros.h>
+#undef EXTERN
+#define EXTERN
+#include "conftbl.h"
+#include "gvar.h"
+#include "libcsupport.h"
 
 extern int paranoia(int, char **);
-
-const char rtems_test_name[] = "PARANOIA";
 
 char *args[2] = { "paranoia", 0 };
@@ -46,17 +37,7 @@
 )
 {
-  /*
-   *  Install whatever optional floating point assistance package
-   *  is required by this CPU.
-   */
-
-#if (defined (m68040))
-  M68KFPSPInstallExceptionHandlers ();
-#endif
-
-  rtems_print_printer_fprintf_putc(&rtems_test_printer);
-  TEST_BEGIN();
+  printf( "\n\n*** PARANOIA TEST ***\n" );
   paranoia(1, args);
-  TEST_END();
-  rtems_test_exit( 0 );
+  printf( "*** END OF PARANOIA TEST ***\n" );
+  exit( 0 );
 }
Index: testsuites/samples/paranoia/paranoia.c
===================================================================
--- testsuites/samples/paranoia/paranoia.c	(revision ba2e1e6c258bf867c67dac9ec562943a92ba2aae)
+++ testsuites/samples/paranoia/paranoia.c	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -1,11 +1,5 @@
-#ifdef HAVE_CONFIG_H
-#include "config.h"
-#endif
-
-#define CYGNUS
-#define NOMAIN
-#define NOSIGNAL
-
 /*
+ *  RTEMS RCS Id: $Id$
+ *
  *      A C version of Kahan's Floating Point Test "Paranoia"
  *
@@ -160,6 +154,4 @@
 #include <stdio.h>
 #include <string.h>
-#include <math.h>
-#include <stdlib.h>
 
 /*
@@ -170,5 +162,5 @@
 
 #ifdef NEED_REENT
-#include <reent.h>
+#include "reent.h"
 struct _reent libm_reent = _REENT_INIT(libm_reent);
 struct _reent *_impure_ptr = &libm_reent;
@@ -201,27 +193,24 @@
 
 jmp_buf ovfl_buf;
-/* extern double fabs (), floor (), log (), pow (), sqrt (); */
-/* extern void exit (); */
-extern void _sigfpe(int);
-typedef void (*Sig_type) (int);
-FLOAT   Sign (FLOAT), Random (void);
-extern void BadCond (int, char*);
-extern void SqXMinX (int);
-extern void TstCond (int, int, char*);
-extern void notify (char *);
-/* extern int read (); */
-extern void Characteristics (void);
-extern void Heading (void);
-extern void History (void);
-extern void Instructions (void);
-extern void IsYeqX (void);
-extern void NewD (void);
-extern void Pause (void);
-extern void PrintIfNPositive (void);
-extern void SR3750 (void);
-extern void SR3980 (void);
-extern void TstPtUf (void);
-
-void msglist(char**);
+extern double fabs (), floor (), log (), pow (), sqrt ();
+extern void exit ();
+typedef void (*Sig_type) ();
+FLOAT   Sign (), Random ();
+extern void BadCond ();
+extern void SqXMinX ();
+extern void TstCond ();
+extern void notify ();
+extern int read ();
+extern void Characteristics ();
+extern void Heading ();
+extern void History ();
+extern void Instructions ();
+extern void IsYeqX ();
+extern void NewD ();
+extern void Pause ();
+extern void PrintIfNPositive ();
+extern void SR3750 ();
+extern void SR3980 ();
+extern void TstPtUf ();
 
 Sig_type sigsave;
@@ -281,5 +270,5 @@
 FLOAT   Third;
 FLOAT   F6, F9;
-FLOAT   HVar, HInvrse;
+FLOAT   H, HInvrse;
 int     I;
 FLOAT   StickyBit, J;
@@ -291,5 +280,5 @@
 FLOAT   OneUlp, UfThold, U1, U2;
 FLOAT   V, V0, V9;
-FLOAT   WVar;
+FLOAT   W;
 FLOAT   X, X1, X2, X8, Random1;
 FLOAT   Y, Y1, Y2, Random2;
@@ -348,5 +337,4 @@
 #ifdef NOMAIN
 #define main paranoia
-int paranoia(int, char**);
 #endif
 
@@ -454,19 +442,19 @@
     }
     printf ("Searching for Radix and Precision.\n");
-    WVar = One;
+    W = One;
     do {
-        WVar = WVar + WVar;
-        Y = WVar + One;
-        Z = Y - WVar;
+        W = W + W;
+        Y = W + One;
+        Z = Y - W;
         Y = Z - One;
     }
     while (MinusOne + FABS (Y) < Zero);
-    /*.. now WVar is just big enough that |((WVar+1)-WVar)-1| >= 1 ...*/
+    /*.. now W is just big enough that |((W+1)-W)-1| >= 1 ...*/
     Precision = Zero;
     Y = One;
     do {
-        Radix = WVar + Y;
+        Radix = W + Y;
         Y = Y + Y;
-        Radix = Radix - WVar;
+        Radix = Radix - W;
     }
     while (Radix == Zero);
@@ -475,15 +463,15 @@
     printf ("Radix = %f .\n", Radix);
     if (Radix != 1) {
-        WVar = One;
+        W = One;
         do {
             Precision = Precision + One;
-            WVar = WVar * Radix;
-            Y = WVar + One;
-        }
-        while ((Y - WVar) == One);
-    }
-    /*... now WVar == Radix^Precision is barely too big to satisfy (WVar+1)-WVar == 1
+            W = W * Radix;
+            Y = W + One;
+        }
+        while ((Y - W) == One);
+    }
+    /*... now W == Radix^Precision is barely too big to satisfy (W+1)-W == 1
                                                       ...*/
-    U1 = One / WVar;
+    U1 = One / W;
     U2 = Radix * U1;
     printf ("Closest relative separation found is U1 = %.7e .\n\n", U1);
@@ -537,5 +525,5 @@
     else
         printf ("gets better closest relative separation U1 = %.7e .\n", U1);
-    WVar = One / U1;
+    W = One / U1;
     F9 = (Half - U1) + Half;
     Radix = FLOOR (0.01 + U2 / U1);
@@ -661,5 +649,5 @@
     /*=============================================*/
     if (Radix >= Two) {
-        X = WVar / (Radix * Radix);
+        X = W / (Radix * Radix);
         Y = X + One;
         Z = Y - X;
@@ -1203,5 +1191,5 @@
                     }
                     while (!(U2 * D >= F9));
-                    if (D * Radix - D != WVar - D)
+                    if (D * Radix - D != W - D)
                         Anomaly = True;
                     else {
@@ -1216,5 +1204,5 @@
                         SR3750 ();
                         NewD ();
-                        if (D - Z2 != WVar - Z2)
+                        if (D - Z2 != W - Z2)
                             Anomaly = True;
                         else {
@@ -1234,5 +1222,5 @@
         if ((I == 0) || Anomaly) {
             BadCond (Failure, "Anomalous arithmetic with Integer < ");
-            printf ("Radix^Precision = %.7e\n", WVar);
+            printf ("Radix^Precision = %.7e\n", W);
             printf (" fails test whether sqrt rounds or chops.\n");
             SqRWrng = True;
@@ -1291,5 +1279,5 @@
     N = 0;
     Z = A1;
-    M = (int) FLOOR (Two * LOG (WVar) / LOG (A1));
+    M = (int) FLOOR (Two * LOG (W) / LOG (A1));
     Break = False;
     do {
@@ -1367,14 +1355,14 @@
     else
         HInvrse = Radix;
-    HVar = One / HInvrse;
-    /* ... 1/HInvrse == HVar == Min(1/Radix, 1/2) */
+    H = One / HInvrse;
+    /* ... 1/HInvrse == H == Min(1/Radix, 1/2) */
     CInvrse = One / C;
     E0 = C;
-    Z = E0 * HVar;
+    Z = E0 * H;
     /* ...1/Radix^(BIG Integer) << 1 << CInvrse == 1/C */
     do {
         Y = E0;
         E0 = Z;
-        Z = E0 * HVar;
+        Z = E0 * H;
     }
     while ((E0 > Z) && (Z + Z > Z));
@@ -1398,5 +1386,5 @@
     } else {
         Underflow = D;
-        PseudoZero = Underflow * HVar;
+        PseudoZero = Underflow * H;
         UfThold = Zero;
         do {
@@ -1410,5 +1398,5 @@
                     UfThold = Y1;
             }
-            PseudoZero = PseudoZero * HVar;
+            PseudoZero = PseudoZero * H;
         }
         while ((Underflow > PseudoZero)
@@ -1441,5 +1429,5 @@
     /*=============================================*/
     if (CInvrse * Y > CInvrse * Y1) {
-        S = HVar * S;
+        S = H * S;
         E0 = Underflow;
     }
@@ -1474,5 +1462,5 @@
             UfThold = Y;
             BadCond (Failure, "Either accuracy deteriorates as numbers\n");
-            printf ("approach a threshold = %.17e\n", UfThold);
+            printf ("approach a threshold = %.17e\n", UfThold);;
             printf (" coming down from %.17e\n", C);
             printf (" or else multiplication gets too many last digits wrong.\n");
@@ -1511,14 +1499,14 @@
         if (setjmp (ovfl_buf)) {
             printf ("Underflow / UfThold failed!\n");
-            R = HVar + HVar;
+            R = H + H;
         } else
             R = SQRT (Underflow / UfThold);
         sigsave = 0;
-        if (R <= HVar) {
+        if (R <= H) {
             Z = R * UfThold;
-            X = Z * (One + R * HVar * (One + HVar));
+            X = Z * (One + R * H * (One + H));
         } else {
             Z = UfThold;
-            X = Z * (One + HVar * HVar * (One + HVar));
+            X = Z * (One + H * H * (One + H));
         }
         if (!((X == Z) || (X - Z != Zero))) {
@@ -1529,5 +1517,5 @@
             printf ("    Should this NOT signal Underflow, ");
             printf ("this is a SERIOUS DEFECT\nthat causes ");
-            printf ("confusion when innocent statements like\n");
+            printf ("confusion when innocent statements like\n");;
             printf ("    if (X == Z)  ...  else");
             printf ("  ... (f(X) - f(Z)) / (X - Z) ...\n");
@@ -1788,5 +1776,5 @@
         if (((V9 < (One - Two * Radix * E9) * Z) || (V9 > Z))) {
             Y = V9;
-            if (X < WVar)
+            if (X < W)
                 BadCond (Serious, "");
             else
@@ -2075,5 +2063,5 @@
 SR3750 ()
 {
-    if (!((X - Radix < Z2 - Radix) || (X - Z2 > WVar - Z2))) {
+    if (!((X - Radix < Z2 - Radix) || (X - Z2 > W - Z2))) {
         I = I + 1;
         X2 = SQRT (X * D);
@@ -2120,5 +2108,5 @@
         X = Z * X;
     }
-    while (X < WVar);
+    while (X < W);
 }
 
Index: testsuites/samples/paranoia/paranoia.scn
===================================================================
--- testsuites/samples/paranoia/paranoia.scn	(revision ba2e1e6c258bf867c67dac9ec562943a92ba2aae)
+++ 	(revision )
@@ -1,133 +1,0 @@
-
-
-*** PARANOIA TEST ***
-paranoia version 1.1 [cygnus]
-Program is now RUNNING tests on small integers:
-TEST: 0+0 != 0, 1-1 != 0, 1 <= 0, or 1+1 != 2
-PASS: 0+0 != 0, 1-1 != 0, 1 <= 0, or 1+1 != 2
-TEST: 3 != 2+1, 4 != 3+1, 4+2*(-2) != 0, or 4-3-1 != 0
-PASS: 3 != 2+1, 4 != 3+1, 4+2*(-2) != 0, or 4-3-1 != 0
-TEST: -1+1 != 0, (-1)+abs(1) != 0, or -1+(-1)*(-1) != 0
-PASS: -1+1 != 0, (-1)+abs(1) != 0, or -1+(-1)*(-1) != 0
-TEST: 1/2 + (-1) + 1/2 != 0
-PASS: 1/2 + (-1) + 1/2 != 0
-TEST: 9 != 3*3, 27 != 9*3, 32 != 8*4, or 32-27-4-1 != 0
-PASS: 9 != 3*3, 27 != 9*3, 32 != 8*4, or 32-27-4-1 != 0
-TEST: 5 != 4+1, 240/3 != 80, 240/4 != 60, or 240/5 != 48
-PASS: 5 != 4+1, 240/3 != 80, 240/4 != 60, or 240/5 != 48
--1, 0, 1/2, 1, 2, 3, 4, 5, 9, 27, 32 & 240 are O.K.
-
-Searching for Radix and Precision.
-Radix = 2.000000 .
-Closest relative separation found is U1 = 1.1102230e-16 .
-
-Recalculating radix and precision
- confirms closest relative separation U1 .
-Radix confirmed.
-TEST: Radix is too big: roundoff problems
-PASS: Radix is too big: roundoff problems
-TEST: Radix is not as good as 2 or 10
-PASS: Radix is not as good as 2 or 10
-TEST: (1-U1)-1/2 < 1/2 is FALSE, prog. fails?
-PASS: (1-U1)-1/2 < 1/2 is FALSE, prog. fails?
-TEST: Comparison is fuzzy,X=1 but X-1/2-1/2 != 0
-PASS: Comparison is fuzzy,X=1 but X-1/2-1/2 != 0
-The number of significant digits of the Radix is 53.000000 .
-TEST: Precision worse than 5 decimal figures
-PASS: Precision worse than 5 decimal figures
-TEST: Subtraction is not normalized X=Y,X+Z != Y+Z!
-PASS: Subtraction is not normalized X=Y,X+Z != Y+Z!
-Subtraction appears to be normalized, as it should be.
-Checking for guard digit in *, /, and -.
-TEST: * gets too many final digits wrong.
-
-PASS: * gets too many final digits wrong.
-
-TEST: Division lacks a Guard Digit, so error can exceed 1 ulp
-or  1/3  and  3/9  and  9/27 may disagree
-PASS: Division lacks a Guard Digit, so error can exceed 1 ulp
-or  1/3  and  3/9  and  9/27 may disagree
-TEST: Computed value of 1/1.000..1 >= 1
-PASS: Computed value of 1/1.000..1 >= 1
-TEST: * and/or / gets too many last digits wrong
-PASS: * and/or / gets too many last digits wrong
-     *, /, and - appear to have guard digits, as they should.
-Checking rounding on multiply, divide and add/subtract.
-TEST: X * (1/X) differs from 1
-PASS: X * (1/X) differs from 1
-* is neither chopped nor correctly rounded.
-/ is neither chopped nor correctly rounded.
-TEST: Radix * ( 1 / Radix ) differs from 1
-PASS: Radix * ( 1 / Radix ) differs from 1
-TEST: Incomplete carry-propagation in Addition
-PASS: Incomplete carry-propagation in Addition
-Addition/Subtraction neither rounds nor chops.
-Sticky bit used incorrectly or not at all.
-TEST: lack(s) of guard digits or failure(s) to correctly round or chop
-(noted above) count as one flaw in the final tally below
-ERROR: Severity: FLAW:  lack(s) of guard digits or failure(s) to correctly round or chop
-(noted above) count as one flaw in the final tally below.
-PASS: lack(s) of guard digits or failure(s) to correctly round or chop
-(noted above) count as one flaw in the final tally below
-
-Does Multiplication commute?  Testing on 20 random pairs.
-     No failures found in 20 integer pairs.
-
-Running test of square root(x).
-TEST: Square root of 0.0, -0.0 or 1.0 wrong
-PASS: Square root of 0.0, -0.0 or 1.0 wrong
-Testing if sqrt(X * X) == X for 20 Integers X.
-Test for sqrt monotonicity.
-sqrt has passed a test for Monotonicity.
-Testing whether sqrt is rounded or chopped.
-Square root is neither chopped nor correctly rounded.
-Observed errors run from -5.0000000e-01 to 5.0000000e-01 ulps.
-TEST: sqrt gets too many last digits wrong
-PASS: sqrt gets too many last digits wrong
-Testing powers Z^i for small Integers Z and i.
-... no discrepancies found.
-
-Seeking Underflow thresholds UfThold and E0.
-Smallest strictly positive number found is E0 = 4.94066e-324 .
-Since comparison denies Z = 0, evaluating (Z + Z) / Z should be safe.
-What the machine gets for (Z + Z) / Z is  2.00000000000000000e+00 .
-This is O.K., provided Over/Underflow has NOT just been signaled.
-Underflow is gradual; it incurs Absolute Error =
-(roundoff in UfThold) < E0.
-The Underflow threshold is 2.22507385850720188e-308,  below which
-calculation may suffer larger Relative error than merely roundoff.
-Since underflow occurs below the threshold
-UfThold = (2.00000000000000000e+00) ^ (-1.02200000000000000e+03)
-only underflow should afflict the expression
-        (2.00000000000000000e+00) ^ (-2.04400000000000000e+03);
-actually calculating yields: 0.00000000000000000e+00 .
-This computed value is O.K.
-
-Testing X^((X + 1) / (X - 1)) vs. exp(2) = 7.38905609893065218e+00 as X -> 1.
-Accuracy seems adequate.
-Testing powers Z^Q at four nearly extreme values.
- ... no discrepancies found.
-
-Searching for Overflow threshold:
-This may generate an error.
-Can `Z = -Y' overflow?
-Trying it on Y = -inf .
-Seems O.K.
-Overflow threshold is V  = 1.79769313486231571e+308 .
-Overflow saturates at V0 = inf .
-No Overflow should be signaled for V * 1 = 1.79769313486231571e+308
-                           nor for V / 1 = 1.79769313486231571e+308 .
-Any overflow signal separating this * from the one
-above is a DEFECT.
-
-
-What message and/or values does Division by Zero produce?
-    Trying to compute 1 / 0 produces ...  inf .
-
-    Trying to compute 0 / 0 produces ...  nan .
-
-The number of  FLAWs  discovered =           1.
-
-The arithmetic diagnosed seems Satisfactory though flawed.
-END OF TEST.
-*** END OF PARANOIA TEST ***
Index: testsuites/samples/paranoia/system.h
===================================================================
--- testsuites/samples/paranoia/system.h	(revision ba2e1e6c258bf867c67dac9ec562943a92ba2aae)
+++ testsuites/samples/paranoia/system.h	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -1,4 +1,2 @@
-/* SPDX-License-Identifier: BSD-2-Clause */
-
 /*  system.h
  *
@@ -6,56 +4,27 @@
  *  function in the test set.
  *
- *  COPYRIGHT (c) 1989-1999.
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
  *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
  *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in the
- *    documentation and/or other materials provided with the distribution.
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
  *
- * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
- * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
- * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
- * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
- * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
- * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
- * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
- * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
- * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
- * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
- * POSSIBILITY OF SUCH DAMAGE.
+ *  $Id$
  */
 
 #include <rtems.h>
-#include <rtems/test-info.h>
+#include "stdio.h"
 
-/* functions */
+/* Miscellaneous */
 
-rtems_task Init(
-  rtems_task_argument argument
-);
+#define EXTERN  extern             /* external definition */
 
-/* configuration information */
+/* macros */
 
-#include <bsp.h> /* for device driver prototypes */
+/* structures */
 
-#define CONFIGURE_APPLICATION_NEEDS_SIMPLE_CONSOLE_DRIVER
-#define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
-
-#define CONFIGURE_MAXIMUM_TASKS            1
-
-#define CONFIGURE_RTEMS_INIT_TASKS_TABLE
-#define CONFIGURE_INIT_TASK_ATTRIBUTES    RTEMS_FLOATING_POINT
-#define CONFIGURE_INIT_TASK_STACK_SIZE    (RTEMS_MINIMUM_STACK_SIZE * 2)
-
-#define CONFIGURE_EXTRA_TASK_STACKS       (1 * RTEMS_MINIMUM_STACK_SIZE)
-
-#define CONFIGURE_INITIAL_EXTENSIONS RTEMS_TEST_INITIAL_EXTENSION
-
-#include <rtems/confdefs.h>
+#include "gvar.h"
 
 /* end of include file */
